Compact theme broken in Private Windows
Created attachment 
Screenshot of a Private Window with the dark compact theme selected

After bug  landed, Private Windows look broken when opening them with a comapct theme selected. I've attached a screenshot from a private window opened with the dark comapct theme selected.

Note that this is not even the light compact theme, it's something... broken. Looks like a mixture between the compact theme and the default theme.
